%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Crypt-OpenSSL-RSA

Distribution:   CCux

Summary:	Crypt-OpenSSL-RSA for perl
Name:		perl-%{perlname}
Version:	0.26
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-RSA/
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Requires:	perl >= %{perlepoch}:%{perlversion}
BuildRequires:	perl >= %{perlepoch}:%{perlversion}

BuildRequires:	perl-Crypt-OpenSSL-Random

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: openssl-devel

%description
perl module for RSA encoding and decoding, using the openSSL libraries

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer a question
echo "y" | perl Makefile.PL --default %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/autosplit.ix
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/get_key_parameters.al
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/import_random_seed.al
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/new_key_from_parameters.al
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/new_public_key.al
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/.packlist
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/RSA.bs
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Crypt/OpenSSL/RSA/RSA.so
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/Crypt/OpenSSL/RSA.pm
%{_mandir}/man3/Crypt::OpenSSL::RSA.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.26-1
- Initial CCux package release
